org.deidentifier.arx.aggregates

## Enum ClassificationConfigurationRandomForest.SplitRule

- java.lang.Object
- - java.lang.Enum<ClassificationConfigurationRandomForest.SplitRule>
  - - org.deidentifier.arx.aggregates.ClassificationConfigurationRandomForest.SplitRule

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ClassificationConfigurationRandomForest.SplitRule>

Enclosing class:
  ClassificationConfigurationRandomForest

    public static enum ClassificationConfigurationRandomForest.SplitRule
    extends java.lang.Enum<ClassificationConfigurationRandomForest.SplitRule>

Split rule for the decision tree

Author:
  Fabian Prasser

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLASSIFICATION_ERROR`
`ENTROPY`
`GINI`

### Method Summary

All Methods Static Methods Concrete Methods
`static ClassificationConfigurationRandomForest.SplitRule` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClassificationConfigurationRandomForest.SplitRule[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GINI

    public static final ClassificationConfigurationRandomForest.SplitRule GINI

#### ENTROPY

    public static final ClassificationConfigurationRandomForest.SplitRule ENTROPY

#### CLASSIFICATION_ERROR

    public static final ClassificationConfigurationRandomForest.SplitRule CLASSIFICATION_ERROR

### Method Detail

#### values

    public static ClassificationConfigurationRandomForest.SplitRule[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClassificationConfigurationRandomForest.SplitRule c : ClassificationConfigurationRandomForest.SplitRule.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClassificationConfigurationRandomForest.SplitRule valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null